---
title: 'Document: animationiteration event'
slug: Web/API/Document/animationiteration_event
tags:
  - API
  - Animation
  - AnimationEvent
  - CSS Animations
  - Document
  - Event
  - Reference
  - animationiteration
---
<div>{{APIRef}}</div>

<p>The <strong><code>animationiteration</code></strong> event is fired when an iteration of a <a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animation</a> ends, and another one begins. This event does not occur at the same time as the {{domxref("Document/animationend_event", "animationend")}} event, and therefore does not occur for animations with an <code>animation-iteration-count</code> of one.</p>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{domxref("AnimationEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onanimationiteration","onanimationiteration")}}</td>
  </tr>
 </tbody>
</table>

<p>The original target for this event is the {{domxref("Element")}} that had the animation applied. You can listen for this event on the {{domxref("Document")}} interface to handle it in the capture or bubbling phases. For full details on this event please see the page on <a href="/en-US/docs/Web/API/HTMLElement/animationiteration_event">HTMLElement: animationiteration</a>.</p>

<h2 id="Examples">Examples</h2>

<p>This code uses <code>animationiteration</code> to keep track of the number of iterations an animation has completed:</p>

<pre class="brush: js">let iterationCount = 0;

document.addEventListener('animationiteration', () =&gt; {
  iterationCount++;
  console.log(`Animation iteration count: ${iterationCount}`);
});</pre>

<p>The same, but using the <code>onanimationiteration</code> event handler property:</p>

<pre class="brush: js">let iterationCount = 0;

document.onanimationiteration = () =&gt; {
  iterationCount++;
  console.log(`Animation iteration count: ${iterationCount}`);
};</pre>

<p><a href="/en-US/docs/Web/API/HTMLElement/animationiteration_event#Live_example">See a live example of this event.</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Animations", "#eventdef-animationevent-animationiteration")}}</td>
   <td>{{Spec2("CSS3 Animations")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.animationiteration_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animations</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations">Using CSS Animations</a></li>
 <li>{{domxref("AnimationEvent")}}</li>
 <li>Related events: {{domxref("Document/animationstart_event", "animationstart")}}, {{domxref("Document/animationend_event", "animationend")}}, {{domxref("Document/animationcancel_event", "animationcancel")}}</li>
 <li>This event on {{domxref("Window")}} targets: {{domxref("Window/animationiteration_event", "animationiteration")}}</li>
 <li>This event on {{domxref("HTMLElement")}} targets: {{domxref("HTMLElement/animationiteration_event", "animationiteration")}}</li>
</ul>
